# StaticResolutionContext.hpp File Reference

`#include <string>`
`#include <xqilla/framework/XQillaExport.hpp>`
`#include <xqilla/ast/StaticType.hpp>`
`#include <xercesc/util/RefHash2KeysTableOf.hpp>`
`#include <xercesc/util/StringPool.hpp>`
`#include <vector>`

Include dependency graph for StaticResolutionContext.hpp:

Go to the source code of this file.

## Classes

class | StaticResolutionContext
| Records access to various parts of the context during static resolution. More...

## Typedefs

typedef xercesc::RefHash2KeysTableOf< int > | VariableAccessSet
typedef xercesc::RefHash2KeysTableOfEnumerator< int > | VariableAccessSetEnumerator

## Typedef Documentation

typedef xercesc:: RefHash2KeysTableOf<int> VariableAccessSet

typedef xercesc:: RefHash2KeysTableOfEnumerator<int> VariableAccessSetEnumerator